<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md)

## Stanek interface

Stanek's Gift API.

**Signature:**

```typescript
interface Stanek 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [acceptGift()](./bitburner.stanek.acceptgift.md) | Accept Stanek's Gift by joining the Church of the Machine God |
|  [activeFragments()](./bitburner.stanek.activefragments.md) | List of fragments in Stanek's Gift. |
|  [canPlaceFragment(rootX, rootY, rotation, fragmentId)](./bitburner.stanek.canplacefragment.md) | Check if fragment can be placed at specified location. |
|  [chargeFragment(rootX, rootY)](./bitburner.stanek.chargefragment.md) | Charge a fragment, increasing its power. |
|  [clearGift()](./bitburner.stanek.cleargift.md) | Clear the board of all fragments. |
|  [fragmentDefinitions()](./bitburner.stanek.fragmentdefinitions.md) | List possible fragments. |
|  [getFragment(rootX, rootY)](./bitburner.stanek.getfragment.md) | Get placed fragment at location. |
|  [giftHeight()](./bitburner.stanek.giftheight.md) | Stanek's Gift height. |
|  [giftWidth()](./bitburner.stanek.giftwidth.md) | Stanek's Gift width. |
|  [placeFragment(rootX, rootY, rotation, fragmentId)](./bitburner.stanek.placefragment.md) | Place fragment on Stanek's Gift. |
|  [removeFragment(rootX, rootY)](./bitburner.stanek.removefragment.md) | Remove fragment at location. |

